//: A UIKit based Playground for presenting user interface

import UIKit
import PlaygroundSupport

class MyViewController : UIViewController {
  override func loadView() {
    let view = UIView()
    view.backgroundColor = .white
    
    let line = Line()
    line.frame = CGRect(x: 150, y: 200, width: 200, height: 20)
    
    view.addSubview(line)
    self.view = view
  }
}

class Line: UIView {
  
  var line =  UIBezierPath()
  var line2 =  UIBezierPath()
  
  func drawLine() {
    line.move(to: CGPoint(x: 0, y: bounds.height / 2))
    line.addLine(to: CGPoint(x: (bounds.width) , y: bounds.height / 2))
    UIColor.black.setStroke()
    line.lineWidth = 0.1
    line.stroke()
    
    line2.move(to: CGPoint(x: bounds.width / 2, y:0 ))
    line2.addLine(to: CGPoint(x:  (bounds.width / 2) , y: (bounds.height)  ))
    
    
    
    UIColor.black.setStroke()
    line2.lineWidth = 0.1
    line2.stroke()
    
    
    
  }

override func draw(_ rect: CGRect) {
  drawLine()
}
  
}



// Present the view controller in the Live View window
PlaygroundPage.current.liveView = MyViewController()
